import { defineConfig ,loadEnv } from 'vite'
import vue from '@vitejs/plugin-vue'
import legacy from '@vitejs/plugin-legacy'
import path from 'path'

// https://vitejs.dev/config/
export default ({mode})=>
 defineConfig({
 base:loadEnv(mode, process.cwd()).VITE_BASE_URL,
  plugins: [
		vue(),
		legacy({
			polyfills: ['es.promise.finally', 'es/map', 'es/set'],
      modernPolyfills: ['es.promise.finally']
    })
	],
  server: {
		port:3000 ,
    cors: true,
		host: '0.0.0.0',
		proxy: {
			'/api': {
				target: 'http://8.136.199.33:8500',
				//target: 'https://cygxpctest.hzinsights.com',
				changeOrigin: true,
       			 rewrite: (path) => path.replace(/^\/api/, '/api')
			}
		},
	},
  build: {
    outDir: 'cygx_pc',
  },
  resolve: {
		alias: {
			'@': path.resolve(__dirname, './src')
		},
	},
})
